## refnx 0.1.33

=== doc/requirements.txt ===
nbsphinx
jupyter-sphinx
sphinxcontrib-bibtex
sphinxcontrib-jquery
jinja2
sphinx_rtd_theme
tqdm
corner
periodictable
pandoc
scipy
numpy
sphinx
pandas
numpydoc
h5py
nbconvert
ipywidgets
cython
jupyter
matplotlib
pytest
xlrd

=== debian/changelog ===
refnx (0.1.33-2) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #1036220).

 -- Roland Mas <lolando@debian.org>  Wed, 24 May 2023 09:35:16 +0200

refnx (0.1.33-1) unstable; urgency=low

  * Initial upload.
  * Source package automatically created by stdeb 0.10.0 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Apr 2023 13:21:21 +0200

=== debian/control ===
Source: refnx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all-dev,
 debhelper (>= 13),
 python3-numpy,
 python3-scipy,
 python3-pandas,
 python3-h5py,
 python3-attr,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-science,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/refnx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/refnx
Homepage: https://github.com/refnx/refnx

Package: python3-refnx
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Neutron and X-ray Reflectometry Analysis in Python
 Flexible, powerful, Python package for generalised curvefitting
 analysis, specifically neutron and X-ray reflectometry data.
 .
 It uses several scipy.optimize algorithms for fitting data, and
 estimating parameter uncertainties. As well as the scipy algorithms
 refnx uses the emcee Affine Invariant Markov chain Monte Carlo (MCMC)
 Ensemble sampler for Bayesian parameter estimation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=refnx
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_clean:
	rm -f src/*.o src/_*.cpp src/_*.c refnx/version.py
	make -C paper clean

execute_after_dh_auto_build:
	make -C paper

## refnx 0.1.38

=== doc/requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 pandoc
 scipy
 numpy
-sphinx
+sphinx<7        # sphinx-rtd-theme 1.2.2 requires sphinx<7,>=1.
 pandas
 numpydoc
 h5py

=== tools/app/requirements.txt ===
numpy
scipy
cython
pyinstaller
matplotlib
tqdm
corner
periodictable
pyqt6
cython
qtpy
attrs
orsopy

=== debian/changelog ===
refnx (0.1.38-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:15:14 +0000

refnx (0.1.38-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 19:25:16 +0100

refnx (0.1.38-1) unstable; urgency=medium

  * New upstream release.
  * Add .desktop file.
  * Add wrapper script to run refnx with Qt6.

 -- Roland Mas <lolando@debian.org>  Wed, 04 Oct 2023 23:24:27 +0200

refnx (0.1.33-3) UNRELEASED; urgency=medium

  * Add missing dependencies.

 -- Roland Mas <lolando@debian.org>  Tue, 29 Aug 2023 18:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,20 @@
 Priority: optional
 Build-Depends: dh-python, python3-setuptools, python3-all-dev,
  debhelper (>= 13),
+ cython3,
+ ipython3 <!nocheck>,
+ python3-attr,
+ python3-h5py,
+ python3-ipywidgets <!nocheck>,
+ python3-matplotlib <!nocheck>,
  python3-numpy,
+ python3-pandas,
+ python3-periodictable <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-qtpy <!nocheck>,
  python3-scipy,
- python3-pandas,
- python3-h5py,
- python3-attr,
+ python3-traitlets <!nocheck>,
+ python3-uncertainties <!nocheck>,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-science,
@@ -20,7 +29,10 @@
 
 Package: python3-refnx
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+ python3-matplotlib,
+ python3-periodictable,
+ python3-qtpy,
 Description: Neutron and X-ray Reflectometry Analysis in Python
  Flexible, powerful, Python package for generalised curvefitting
  analysis, specifically neutron and X-ray reflectometry data.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=refnx
export FORCE_SOURCE_DATE=1

pyversion=$(shell python3 -c 'import sys;print("%d.%d"%(sys.version_info.major,sys.version_info.minor))')

%:
	dh $@ --with python3 --with numpy3 --buildsystem=pybuild

execute_after_dh_clean:
	rm -f src/*.o src/_*.cpp src/_*.c refnx/version.py
	make -C paper clean

execute_after_dh_auto_build:
	make -C paper

override_dh_auto_test:

execute_after_dh_auto_install:
	mv $(CURDIR)/debian/python3-refnx/usr/bin/refnx $(CURDIR)/debian/python3-refnx/usr/lib/python$(pyversion)/dist-packages/refnx/refnx-gui
	cp $(CURDIR)/debian/refnx-wrapper $(CURDIR)/debian/python3-refnx/usr/bin/refnx

## refnx 0.1.51

=== debian/changelog ===
refnx (0.1.51-4) unstable; urgency=medium

  * Add patch to force event-mode logs to be read in little-endian format.

 -- Stuart Prescott <stuart@debian.org>  Tue, 14 Jan 2025 00:08:43 +1100

refnx (0.1.51-3) unstable; urgency=medium

  * Update recommends based on current upstream.
  * Ensure all recommends are installed for autopkgtest tests.
  * Add myself to Uploaders.

 -- Stuart Prescott <stuart@debian.org>  Wed, 08 Jan 2025 13:23:58 +1100

refnx (0.1.51-2) unstable; urgency=medium

  * Team upload.
  * Add patch to relax numerical tolerance in tests to prevent FTBFS on i386.

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Jan 2025 18:15:09 +1100

refnx (0.1.51-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Ensure appropriate PyQt6 dependencies are installed (Closes: #1089944).
  * Run tests at build-time.
  * Add autopkgtest tests.
  * Add icon and keywords to .desktop file.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Jan 2025 12:57:27 +1100

## refnx 0.1.52

=== debian/changelog ===
refnx (0.1.52-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Mar 2025 23:50:27 +1100

=== debian/control ===
Source: refnx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
 Stuart Prescott <stuart@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 cython3,
 ipython3 <!nocheck>,
 pybuild-plugin-pyproject,
 pyqt6-dev-tools <!nocheck>,
 python3-all-dev,
 python3-attr,
 python3-corner <!nocheck>,
 python3-h5py,
 python3-ipywidgets <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-numpy,
 python3-orsopy <!nocheck>,
 python3-pandas,
 python3-periodictable <!nocheck>,
 python3-pyqt6 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qtpy <!nocheck>,
 python3-scipy,
 python3-setuptools,
 python3-traitlets <!nocheck>,
 python3-uncertainties <!nocheck>,
 python3-xlrd <!nocheck>,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-science,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/refnx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/refnx
Homepage: https://github.com/refnx/refnx

Package: python3-refnx
Architecture: any
Depends:
 pyqt6-dev-tools,
 python3-matplotlib,
 python3-periodictable,
 python3-pyqt6,
 python3-qtpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-attr,
 python3-corner,
 python3-h5py,
 python3-ipywidgets,
 python3-pandas,
 python3-pyparsing,
 python3-traitlets,
 python3-tqdm,
 python3-uncertainties,
 python3-xlrd,
Suggests:
 python3-numba,
Description: Neutron and X-ray Reflectometry Analysis in Python
 Flexible, powerful, Python package for generalised curvefitting
 analysis, specifically neutron and X-ray reflectometry data.
 .
 It uses several scipy.optimize algorithms for fitting data, and
 estimating parameter uncertainties. As well as the scipy algorithms
 refnx uses the emcee Affine Invariant Markov chain Monte Carlo (MCMC)
 Ensemble sampler for Bayesian parameter estimation.

=== debian/tests/control ===
Tests:
 python3-refnx,
Depends:
 ca-certificates,
 python3-all,
 python3-pytest,
 python3-pytestqt,
 python3-refnx,
 xauth,
 xvfb,
 @recommends@,
Restrictions:
 needs-internet,

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/refnx/refnx/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## refnx 0.1.53

=== tools/app/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 tqdm
 corner
 periodictable
-pyqt6
+pyside6
 cython
 qtpy
 attrs

=== debian/changelog ===
refnx (0.1.53-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:51:31 +0000

refnx (0.1.53-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
    - update lintian overrides
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 25 Mar 2025 19:01:23 +1100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=refnx
export FORCE_SOURCE_DATE=1

pyversion=$(shell py3versions -d -v)

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = xvfb-run -a python{version} -m pytest -v -ra


%:
	dh $@ --with python3 --with numpy3 --buildsystem=pybuild

execute_after_dh_clean:
	make -C paper clean

execute_after_dh_auto_build:
	make -C paper

execute_after_dh_auto_install:
	mv $(CURDIR)/debian/python3-refnx/usr/bin/refnx $(CURDIR)/debian/python3-refnx/usr/lib/python$(pyversion)/dist-packages/refnx/refnx-gui
	cp $(CURDIR)/debian/refnx-wrapper $(CURDIR)/debian/python3-refnx/usr/bin/refnx
	mkdir -p $(CURDIR)/debian/python3-refnx/usr/share/icons/hicolor/scalable/apps/
	cp ./refnx/reflect/_app/icons/scatteringevent.svg $(CURDIR)/debian/python3-refnx/usr/share/icons/hicolor/scalable/apps/refnx.svg

## refnx 0.1.58

=== debian/changelog ===
refnx (0.1.58-2) unstable; urgency=medium

  * Upload to unstable.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Aug 2025 15:15:13 +0200

refnx (0.1.58-1) experimental; urgency=medium

  * New upstream release.
  * Add missing build-dependency on python3-numpy-dev:any.

 -- Stuart Prescott <stuart@debian.org>  Fri, 18 Jul 2025 22:19:12 +1000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-ipywidgets <!nocheck>,
  python3-matplotlib <!nocheck>,
  python3-numpy,
+ python3-numpy-dev,
  python3-orsopy <!nocheck>,
  python3-pandas,
  python3-periodictable <!nocheck>,
@@ -36,7 +37,7 @@
  texlive-science,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/refnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/refnx
 Homepage: https://github.com/refnx/refnx

## refnx 0.1.60

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/refnx.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/refnx.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/refnx"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/refnx"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
nbsphinx
jupyter-sphinx
sphinxcontrib-bibtex
sphinxcontrib-jquery
jinja2
sphinx_rtd_theme
# tqdm
corner
periodictable
pandoc
scipy
numpy
sphinx
myst_nb
pandas
numpydoc
h5py
nbconvert
ipywidgets
cython
jupyter
matplotlib
pytest
xlrd

=== tools/app/requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 qtpy
 attrs
 orsopy
+pint

=== debian/changelog ===
refnx (0.1.60-2) unstable; urgency=medium

  * Require orsopy > 1.2.2 for compatibility with test suite.

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Oct 2025 10:01:30 +1000

refnx (0.1.60-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 01 Oct 2025 16:29:50 +1000

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,14 @@
  python3-matplotlib <!nocheck>,
  python3-numpy,
  python3-numpy-dev,
- python3-orsopy <!nocheck>,
+ python3-orsopy (>= 1.2.2~) <!nocheck>,
  python3-pandas,
  python3-periodictable <!nocheck>,
+ python3-pint,
  python3-pyqt6 <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytestqt <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
  python3-qtpy <!nocheck>,
  python3-scipy,
  python3-setuptools,
@@ -35,8 +37,6 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-science,
- xauth <!nocheck>,
- xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/refnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/refnx
@@ -47,7 +47,9 @@
 Depends:
  pyqt6-dev-tools,
  python3-matplotlib,
+ python3-orsopy (>= 1.2.2~),
  python3-periodictable,
+ python3-pint,
  python3-pyqt6,
  python3-qtpy,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 pyversion=$(shell py3versions -d -v)
 
-export PYBUILD_TEST_CUSTOM = 1
-export PYBUILD_TEST_ARGS = xvfb-run -a python{version} -m pytest -v -ra
+export PYBUILD_TEST_ARGS = -v -ra --deselect=refnx/reflect/tests/test_structure.py::TestStructure::test_to_from_orso
 
 
 %:

## refnx 0.1.61

=== debian/changelog ===
refnx (0.1.61-1) unstable; urgency=medium

  * New upstream release.
  * Set PYTEST_QT_API = PyQt6 to ensure that PyQt6 is used in tests to protect
    against incorrect guessing of which Qt API to use (see #1125222).
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop no-longer-required Priority field.

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 Jan 2026 14:41:20 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Roland Mas <lolando@debian.org>,
  Stuart Prescott <stuart@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -37,7 +36,7 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-science,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/refnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/refnx
 Homepage: https://github.com/refnx/refnx

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 pyversion=$(shell py3versions -d -v)
 
 export PYBUILD_TEST_ARGS = -v -ra --deselect=refnx/reflect/tests/test_structure.py::TestStructure::test_to_from_orso
+export PYTEST_QT_API = PyQt6
 
 
 %:
